Notification
For authentication instructions, see API overview.
Endpoints
List all notification signals
Returns a list of notification signals. The notification signals are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-signalsResponse
No response schemaCreate notification signals
Create notification signals. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
signalNumbernumberuserIdarraymessagestringsubjectstringnotificationTitlestringnotifiedUserarrayobjectstringobjectIdstringdatestringtimestringchannelsarray
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-signals \ -d 'signalNumber=1' \ -d 'userId="array"' \ -d 'message="signal1"' \ -d 'subject="description1"' \ -d 'notificationTitle="description1"' \ -d 'notifiedUser="array"' \ -d 'object="leads"' \ -d 'objectId="658d76e77cbaea0018df3de8"' \ -d 'date="2023-04-19"' \ -d 'time="2023-04-19"' \ -d 'channels="array"'Response
No response schemaRetrieve notification signals
Returns a single notification signal, which you can request by passing through an id in the url.
Path parameters
idstringID of the notification signal
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-signals/:idResponse
No response schemaUpdate notification signals
Path parameters
idstringID of the notification signal
Request body
signalNumbernumberuserIdarraymessagestringsubjectstringnotificationTitlestringnotifiedUserarrayobjectstringobjectIdstringdatestringtimestringchannelsarray
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-signals/:id \ -d 'signalNumber=1' \ -d 'userId="array"' \ -d 'message="signal1"' \ -d 'subject="description1"' \ -d 'notificationTitle="description1"' \ -d 'notifiedUser="array"' \ -d 'object="leads"' \ -d 'objectId="658d76e77cbaea0018df3de8"' \ -d 'date="2023-04-19"' \ -d 'time="2023-04-19"' \ -d 'channels="array"'Response
No response schemaUpdate notification signals soft
Update notification signals soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the notification signal
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-signals/:idResponse
No response schemaDelete notification signals
Path parameters
idstringID of the notification signal
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-signals/deleted/:idResponse
No response schemaCreate notification signals
Create notification signals. You need to pass through any required fields, and you can optionally pass through other fields.
Path parameters
idstringID of the notification signal
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notification-signals/channel/:id